> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 设置实时“Bing Keyword Performance”任务

> 您可以根据指定的匹配类型、位置和语言参数，获取一组关键词的效果统计数据。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/keywords_data/bing/keyword_performance/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/keywords_data/bing/keyword_performance/live:
    post:
      summary: 设置实时“Bing Keyword Performance”任务
      description: >-
        您可以根据指定的匹配类型、位置和语言参数，获取一组关键词的效果统计数据。系统会汇总上个月一个或所有以下设备类型的广告排名、点击次数、展示次数及其他关键词指标：移动设备、桌面设备、平板设备。
      operationId: post_dataforseo_keywords_data_bing_keyword_performance_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keywords:
                  type: array
                  items:
                    type: string
                  description: >-
                    关键词，必填字段。最多可指定 1000 个关键词。每个关键词最多包含 80 个字符。每个关键词短语最多包含 10
                    个单词。指定的关键词将转换为小写，数据将在单独的数组中提供。有关 DataForSEO API 中 keyword 和
                    keywords 字段的规则与限制，请参阅此帮助中心文章。
                device:
                  type: string
                  description: >-
                    设备类型，可选字段。如果要获取特定设备类型的数据，请指定此字段。可选值：desktop、mobile、tablet、all；默认值：all
                match:
                  type: string
                  description: >-
                    关键词匹配类型，可选字段。可使用以下值：aggregate 返回所有匹配类型的汇总数据；broad
                    返回包含指定关键词且词序可变的所有用户查询数据；phrase
                    返回包含指定关键词且词序完全相同的所有用户查询数据；exact 返回与指定关键词匹配的用户查询数据。注意：默认使用
                    aggregate 匹配类型。
                location_name:
                  type: string
                  description: >-
                    搜索引擎位置的完整名称。如果未指定 location_code 或
                    location_coordinate，则此字段为必填字段。如果使用此字段，则无需指定 location_code 或
                    location_coordinate。可通过向
                    https://api.dataforseo.com/v3/keywords_data/bing/keyword_performance/locations_and_languages
                    单独发出请求，获取可用位置和语言列表。示例："United States"
                location_code:
                  type: integer
                  description: >-
                    搜索引擎位置代码。如果未指定 location_name 或
                    location_coordinate，则为必填字段。如果使用此字段，则无需指定 location_name 或
                    location_coordinate。您可以通过单独请求
                    https://api.dataforseo.com/v3/keywords_data/bing/keyword_performance/locations_and_languages，获取可用位置和语言的列表。示例：2840
                location_coordinate:
                  type: string
                  description: >-
                    位置的 GPS 坐标；如果未指定 location_name 或
                    location_code，则为必填字段；如果使用此字段，则无需指定 location_name 或
                    location_code；location_coordinate
                    参数应采用“latitude,longitude”格式；将提供指定坐标所属国家/地区的数据；示例：52.6178549,-155.352142
                language_name:
                  type: string
                  description: >-
                    搜索引擎语言的完整名称；如果未指定 language_code，则为必填字段。如果使用此字段，则无需指定
                    language_code。您可以通过向
                    https://api.dataforseo.com/v3/keywords_data/bing/keyword_performance/locations_and_languages
                    单独发送请求，获取可用位置和语言列表。示例：English
                language_code:
                  type: string
                  description: >-
                    搜索引擎语言代码；必填字段。如果未指定 language_name，可单独向
                    https://api.dataforseo.com/v3/keywords_data/bing/keyword_performance/locations_and_languages
                    发出请求，以获取可用位置和语言的列表；示例："en"
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - keywords
                - location_name
                - location_code
                - location_coordinate
                - language_name
                - language_code
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；取值范围为：10000-60000，完整的响应码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.keyword:
                    type: string
                    description: POST 数组中的关键词
                  tasks.result.location_code:
                    type: integer
                    description: POST 数组中的位置代码；如果没有数据，则值为 null
                  tasks.result.language_code:
                    type: string
                    description: POST 数组中的语言代码；如果没有数据，则值为 null
                  tasks.result.year:
                    type: integer
                    description: 表示所提供数据对应的年份，例如：2020
                  tasks.result.month:
                    type: integer
                    description: 表示所提供数据对应的月份，例如：10
                  tasks.result.keyword_kpi:
                    type: object
                    description: 包含关键词指标的对象；如果没有数据，则值为 null
                  tasks.result.keyword_kpi.desktop:
                    type: array
                    items:
                      type: string
                    description: 桌面设备的聚合关键词数据；如果没有数据，则值为 null
                  tasks.result.keyword_kpi.desktop.ad_position:
                    type: string
                    description: >-
                      表示相关广告在 SERP 中的位置，可取以下值：FirstPage1：第一个出现在搜索结果第一页右侧的广告
                      FirstPage2：第二个出现在搜索结果第一页右侧的广告
                      FirstPage3：第三个出现在搜索结果第一页右侧的广告
                      FirstPage4：第四个出现在搜索结果第一页右侧的广告
                      FirstPage5：第五个出现在搜索结果第一页右侧的广告
                      FirstPage6：第六个出现在搜索结果第一页右侧的广告
                      FirstPage7：第七个出现在搜索结果第一页右侧的广告
                      FirstPage8：第八个出现在搜索结果第一页右侧的广告
                      FirstPage9：第九个出现在搜索结果第一页右侧的广告
                      FirstPage10：第十个出现在搜索结果第一页右侧的广告 MainLine1：第一个出现在搜索结果页面顶部的广告
                      MainLine2：第二个出现在搜索结果页面顶部的广告 MainLine3：第三个出现在搜索结果页面顶部的广告
                      MainLine4：第四个出现在搜索结果页面顶部的广告
                  tasks.result.keyword_kpi.desktop.clicks:
                    type: integer
                    description: 广告点击次数，即该关键词和匹配类型在上个月产生的点击次数
                  tasks.result.keyword_kpi.desktop.impressions:
                    type: integer
                    description: 广告展示次数，关键词和匹配类型在上个月产生的展示次数
                  tasks.result.keyword_kpi.desktop.average_cpc:
                    type: integer
                    description: 平均每次点击费用（USD），计算方式为所有点击的总费用除以点击次数
                  tasks.result.keyword_kpi.desktop.ctr:
                    type: integer
                    description: 点击率，以百分比表示，计算方式为点击次数除以展示次数，再将结果乘以 100
                  tasks.result.keyword_kpi.desktop.total_cost:
                    type: integer
                    description: 广告总费用（美元），即上个月使用指定关键词和匹配类型的费用
                  tasks.result.keyword_kpi.desktop.average_bid:
                    type: integer
                    description: 关键词的平均出价
                  tasks.result.keyword_kpi.mobile:
                    type: array
                    items:
                      type: string
                    description: 移动设备的聚合关键词数据；如果没有数据，则值为 null
                  tasks.result.keyword_kpi.mobile.ad_position:
                    type: string
                    description: >-
                      表示相关广告在 SERP 中的位置，可取以下值：FirstPage1：第一个出现在搜索结果第一页右侧的广告
                      FirstPage2：第二个出现在搜索结果第一页右侧的广告
                      FirstPage3：第三个出现在搜索结果第一页右侧的广告
                      FirstPage4：第四个出现在搜索结果第一页右侧的广告
                      FirstPage5：第五个出现在搜索结果第一页右侧的广告
                      FirstPage6：第六个出现在搜索结果第一页右侧的广告
                      FirstPage7：第七个出现在搜索结果第一页右侧的广告
                      FirstPage8：第八个出现在搜索结果第一页右侧的广告
                      FirstPage9：第九个出现在搜索结果第一页右侧的广告
                      FirstPage10：第十个出现在搜索结果第一页右侧的广告 MainLine1：第一个出现在搜索结果页面顶部的广告
                      MainLine2：第二个出现在搜索结果页面顶部的广告 MainLine3：第三个出现在搜索结果页面顶部的广告
                      MainLine4：第四个出现在搜索结果页面顶部的广告
                  tasks.result.keyword_kpi.mobile.clicks:
                    type: integer
                    description: 广告点击次数，即该关键词和匹配类型在上个月产生的点击次数
                  tasks.result.keyword_kpi.mobile.impressions:
                    type: integer
                    description: 广告展示次数，关键词和匹配类型在上个月产生的展示次数
                  tasks.result.keyword_kpi.mobile.average_cpc:
                    type: integer
                    description: 平均每次点击费用（USD），计算方式为所有点击的总费用除以点击次数
                  tasks.result.keyword_kpi.mobile.ctr:
                    type: integer
                    description: 点击率，以百分比表示，计算方式为点击次数除以展示次数，再将结果乘以 100
                  tasks.result.keyword_kpi.mobile.total_cost:
                    type: integer
                    description: 广告总费用（美元），即上个月使用指定关键词和匹配类型的费用
                  tasks.result.keyword_kpi.mobile.average_bid:
                    type: integer
                    description: 关键词的平均出价
                  tasks.result.keyword_kpi.tablet:
                    type: array
                    items:
                      type: string
                    description: 针对平板设备聚合的关键词数据；如果没有数据，则值为 null
                  tasks.result.keyword_kpi.tablet.ad_position:
                    type: string
                    description: >-
                      表示相关广告在 SERP 中的位置，可取以下值：FirstPage1：第一个出现在搜索结果第一页右侧的广告
                      FirstPage2：第二个出现在搜索结果第一页右侧的广告
                      FirstPage3：第三个出现在搜索结果第一页右侧的广告
                      FirstPage4：第四个出现在搜索结果第一页右侧的广告
                      FirstPage5：第五个出现在搜索结果第一页右侧的广告
                      FirstPage6：第六个出现在搜索结果第一页右侧的广告
                      FirstPage7：第七个出现在搜索结果第一页右侧的广告
                      FirstPage8：第八个出现在搜索结果第一页右侧的广告
                      FirstPage9：第九个出现在搜索结果第一页右侧的广告
                      FirstPage10：第十个出现在搜索结果第一页右侧的广告 MainLine1：第一个出现在搜索结果页面顶部的广告
                      MainLine2：第二个出现在搜索结果页面顶部的广告 MainLine3：第三个出现在搜索结果页面顶部的广告
                      MainLine4：第四个出现在搜索结果页面顶部的广告
                  tasks.result.keyword_kpi.tablet.clicks:
                    type: integer
                    description: 广告点击次数，即该关键词和匹配类型在上个月产生的点击次数
                  tasks.result.keyword_kpi.tablet.impressions:
                    type: integer
                    description: 广告展示次数，关键词和匹配类型在上个月产生的展示次数
                  tasks.result.keyword_kpi.tablet.average_cpc:
                    type: integer
                    description: 平均每次点击费用（USD），计算方式为所有点击的总费用除以点击次数
                  tasks.result.keyword_kpi.tablet.ctr:
                    type: integer
                    description: 点击率，以百分比表示，计算方式为点击次数除以展示次数，再将结果乘以 100
                  tasks.result.keyword_kpi.tablet.total_cost:
                    type: integer
                    description: 广告总费用（美元），即上个月使用指定关键词和匹配类型的费用
                  tasks.result.keyword_kpi.tablet.average_bid:
                    type: integer
                    description: 关键词的平均出价
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````